#ifndef __PEEPER_H__
#define __PEEPER_H__

#include <windows.h>

#define EXPORT __declspec(dllexport)

EXPORT BOOL WINAPI Initialize();
EXPORT BOOL WINAPI Terminate();
EXPORT BOOL WINAPI RegisterEvent(const char* type, const char* target, WNDPROC pFunc);
EXPORT HWND WINAPI GetEventListener(const char* type, const char* target);
EXPORT int  WINAPI MainLoop();
EXPORT void WINAPI DragAccept(BOOL flag); 
EXPORT BOOL WINAPI IsAlive();
EXPORT void WINAPI ShareTheSameFate();

#endif
